use "C:\OKDC Files\QuarterlyX.dta", clear
log using "C:\OKDC Files\DNOS", replace
*Initial estimation and examination of residuals for autocorrelation
xi:reg3 (d = p gdp t L.d i.qrtr) (s = lnp L.i3mo L.twex L.cs t l.s GW i.qrtr) if year<2011, small endog(p lnp gdp) exog(l4gdp l8gdp l4q l8q) ir first
overid
more
drop dehat sehat
predict dehat, residuals equation(d)
predict sehat, residuals equation(s)
ac dehat if year<2011
more
ac sehat if year<2011
more
*Estimation with correction for autocorrelation in non-OPEC supply residuals
xi:reg3 (d = p gdp t L.d i.qrtr) (s = lnp L.i3mo L.twex L.cs t l.s GW i.qrtr l3.sehat l12.sehat) if year<2011, small endog(p lnp gdp) exog(l4gdp l8gdp l4q l8q) ir first
overid
more
drop DR SR
predict DR, residuals equation(d)
predict SR, residuals equation(s)
more
swilk SR if year<2011
more
ac DR if year<2011
more
ac SR if year<2011
more
roblpr DR if year<2011
roblpr SR if year<2011
wntestb DR if year<2011, table
wntestb SR if year<2011, table
more
*Creation of excluded instruments for use in estimation of effects of price on world GDP
drop SRp SRm ORp ORm
gen SRp=max(D.SR,0)
gen SRm=min(D.SR,0)
gen ORp=max(DR-SR-(L.DR-L.SR),0)
gen ORm=min(DR-SR-(L.DR-L.SR),0)
more
line DR yearq if year<2011
more
line SR yearq if year<2011
log close
